Get all
get
/fscmRestApi/resources/11.13.18.05/assetWarrantyEntitlements
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey
Finder Variables- EntitlementId; integer;
- PrimaryKey
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AssetDescription; string
- AssetId; integer
- AssetNumber; string
- AssetSerialNumber; string
- ClaimId; integer
- ClaimNumber; string
- ContractId; integer
- ContractNumber; string
- CostTransactionCurrency; string
- CostTransactionCurrencyCode; string
- CostTransactionId; integer
- CostTransactionQuantity; number
- CostTransactionType; string
- CostTransactionTypeCode; string
- CostTransactionUOM; string
- CostTransactionUOMCode; string
- CostTransactionUnitCost; number
- CreatedBy; string
- CreationDate; string
- EntitlementDate; string
- EntitlementDescription; string
- EntitlementId; integer
- EntitlementNotes; string
- EntitlementNumber; string
- EntitlementType; string
- EntitlementTypeCode; string
- LastUpdateDate; string
- LastUpdatedBy; string
- ManuallyCreatedFlag; boolean
- OperationName; string
- OperationSequenceNumber; number
- OrganizationCode; string
- OrganizationId; integer
- ReasonForRepairCode; string
- ReasonForRepairCodeId; integer
- ReasonForRepairCodeName; string
- ReimbursementCurrencyCode; string
- ReimbursementQuantity; number
- ReimbursementQuantityUOM; string
- ReimbursementQuantityUOMCode; string
- ReimbursementTotalCost; number
- ReimbursementUnitCost; number
- RootAssetId; integer
- TransactionCode; string
- TransactionCodeId; integer
- TransactionCodeName; string
- WarrantyEntitledFlag; boolean
- WarrantyProviderId; integer
- WarrantyProviderName; string
- WarrantyProviderNumber; string
- WoOperationId; integer
- WoOperationMaterialId; integer
- WoOperationResourceId; integer
- WorkAccomplishedCode; string
- WorkAccomplishedCodeId; integer
- WorkAccomplishedCodeName; string
- WorkOrderId; integer
- WorkOrderNumber; string
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : assetWarrantyEntitlements
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : assetWarrantyEntitlements-item-response
Type:
Show Source
object-
AssetDescription: string
Title:
Asset DescriptionRead Only:trueMaximum Length:240 -
AssetId: integer
(int64)
Title:
Asset IDRead Only:true -
AssetNumber: string
Title:
NumberRead Only:trueMaximum Length:80 -
AssetSerialNumber: string
Title:
Serial NumberRead Only:trueMaximum Length:80 -
ClaimId: integer
(int64)
-
ClaimNumber: string
Maximum Length:
255 -
ContractId: integer
(int64)
Title:
Contract ID -
ContractNumber: string
Maximum Length:
255 -
CostTransactionCurrency: string
Title:
Cost Transaction CurrencyRead Only:trueMaximum Length:255 -
CostTransactionCurrencyCode: string
Title:
Cost Transaction Currency CodeRead Only:trueMaximum Length:20 -
CostTransactionId: integer
(int64)
Title:
Cost Transaction IDRead Only:true -
CostTransactionQuantity: number
Title:
Cost Transaction QtyRead Only:true -
CostTransactionTotal: integer
(int64)
Title:
Cost Transaction Total CostRead Only:true -
CostTransactionType: string
Title:
Cost Transaction TypeRead Only:trueMaximum Length:80 -
CostTransactionTypeCode: string
Title:
Cost Transaction Type CodeRead Only:trueMaximum Length:30 -
CostTransactionUnitCost: number
Title:
Cost Transaction Unit CostRead Only:true -
CostTransactionUOM: string
Title:
Cost Transaction Unit of MeasureRead Only:trueMaximum Length:255 -
CostTransactionUOMCode: string
Title:
Unit of Measure CodeRead Only:trueMaximum Length:3 -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64 -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:true -
EntitlementDate: string
(date)
Title:
Entitlement Date -
EntitlementDescription: string
Maximum Length:
240 -
EntitlementId: integer
(int64)
Title:
Entitlement ID -
EntitlementNotes: string
Title:
Entitlement NoteMaximum Length:4000 -
EntitlementNumber: string
Title:
Entitlement NumberMaximum Length:80 -
EntitlementType: string
Title:
Entitlement TypeRead Only:trueMaximum Length:80 -
EntitlementTypeCode: string
Title:
Entitlement Type CodeMaximum Length:30Default Value:ORA_OTHER -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:true -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ManuallyCreatedFlag: boolean
Title:
Manually Created IndicatorRead Only:trueMaximum Length:1Default Value:true -
OperationName: string
Title:
Work Order Operation NameRead Only:trueMaximum Length:120 -
OperationSequenceNumber: number
Title:
Operation SequenceRead Only:true -
OrganizationCode: string
Read Only:
trueMaximum Length:18 -
OrganizationId: integer
(int64)
Title:
Organization ID -
ReasonForRepairCode: string
Title:
Repair Transaction CodeMaximum Length:80 -
ReasonForRepairCodeId: integer
(int64)
-
ReasonForRepairCodeName: string
Title:
Reason for RepairRead Only:trueMaximum Length:240 -
ReimbursementCurrency: string
Title:
Reimbursement CurrencyRead Only:trueMaximum Length:255 -
ReimbursementCurrencyCode: string
Title:
Reimbursement Currency CodeMaximum Length:20 -
ReimbursementQuantity: number
Title:
Reimbursement QuantityDefault Value:0 -
ReimbursementQuantityUOM: string
Title:
Reimbursement Quantity Unit of MeasureRead Only:trueMaximum Length:120 -
ReimbursementQuantityUOMCode: string
Title:
Unit of Measure CodeMaximum Length:3 -
ReimbursementTotalCost: number
Title:
Reimbursement Total CostRead Only:true -
ReimbursementUnitCost: number
Title:
Reimbursement Unit CostDefault Value:0 -
RootAssetId: integer
(int64)
Read Only:
true -
TransactionCode: string
Title:
Transaction CodeMaximum Length:80 -
TransactionCodeId: integer
(int64)
Title:
Work Order Transaction ID -
TransactionCodeName: string
Title:
Transaction Code NameRead Only:trueMaximum Length:540 -
WarrantyEntitledFlag: boolean
Title:
Warranty Entitled IndicatorRead Only:trueMaximum Length:1 -
WarrantyProviderId: integer
(int64)
Read Only:
true -
WarrantyProviderName: string
Title:
Warranty Provider NameRead Only:trueMaximum Length:255 -
WarrantyProviderNumber: string
Title:
Warranty Provider NumberRead Only:trueMaximum Length:255 -
WoOperationId: integer
(int64)
Title:
Work Order Operation ID -
WoOperationMaterialId: integer
(int64)
Title:
Work Order Material IDRead Only:true -
WoOperationReference: string
Title:
Work Order Operation ReferenceRead Only:trueMaximum Length:255 -
WoOperationResourceId: integer
(int64)
Title:
Work Order Resource IDRead Only:true -
WorkAccomplishedCode: string
Maximum Length:
80 -
WorkAccomplishedCodeId: integer
(int64)
-
WorkAccomplishedCodeName: string
Title:
Work to Be AccomplishedRead Only:trueMaximum Length:240 -
WorkOrderId: integer
(int64)
Title:
Work Order ID -
WorkOrderNumber: string
Title:
Work OrderRead Only:trueMaximum Length:120
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to get all warranty entitlements.
Example cURL Command
Use the following cURL command to submit a request on the REST resource:
curl -u username:password "https://servername/fscmRestApi/resources/version/assetWarrantyEntitlements"
Example Response Body
The following example includes the contents of the response body
in JSON format:
{
"items": [
{
"EntitlementId": 100101576542833,
"EntitlementNumber": "100101576542833",
"EntitlementDate": "2023-04-04",
"EntitlementTypeCode": "ORA_RESOURCE_CHARGE",
"EntitlementType": "Resource charge",
"EntitlementDescription": "M-Technician General - M-Technician General\n",
"ClaimId": 100101576542836,
"ClaimNumber": "100101576542836",
"ManuallyCreatedFlag": false,
"WarrantyEntitledFlag": true,
"ContractId": 300100578221096,
"ContractNumber": "300100578221096",
"WarrantyProviderId": "999992000322154",
"WarrantyProviderNumber": "7189",
"WarrantyProviderName": "General Technologies",
"OrganizationId": 300100113363336,
"OrganizationCode": "MNTALM",
"WorkOrderId": 300100582281522,
"WorkOrderNumber": "MNTALM1110",
"AssetId": 300100570947822,
"AssetNumber": "ALM_ASSET_001",
"AssetDescription": "ALM-MX-ITEM-001-DESC",
"AssetSerialNumber": null,
"RootAssetId": 300100570947822,
"WoOperationId": 300100582281533,
"OperationSequenceNumber": 40,
"OperationName": "RD_STD_OP1",
"WoOperationResourceId": 300100582281534,
"WoOperationReference": "MNTALM1110-40",
"WoOperationMaterialId": null,
"CostTransactionId": 100101576542832,
"ReasonForRepairCode": "01",
"ReasonForRepairCodeName": "Breakdown",
"TransactionCode": "013-000-000",
"TransactionCodeName": "Brakes000",
"WorkAccomplishedCode": "W-CODE",
"WorkAccomplishedCodeName": "Work Done Na,e",
"CostTransactionTypeCode": "ORA_RESOURCE",
"CostTransactionType": "Resource",
"CostTransactionQuantity": 1,
"CostTransactionUOMCode": "HRS",
"CostTransactionUOM": "HRS",
"CostTransactionUnitCost": null,
"CostTransactionTotal": null,
"CostTransactionCurrencyCode": null,
"CostTransactionCurrency": null,
"ReimbursementQuantity": 1,
"ReimbursementQuantityUOMCode": "HRS",
"ReimbursementQuantityUOM": "HRS",
"ReimbursementUnitCost": 0,
"ReimbursementTotalCost": 0,
"ReimbursementCurrencyCode": null,
"ReimbursementCurrency": null,
"EntitlementNotes": null,
"CreatedBy": "MNT_QA",
"CreationDate": "2023-04-04T15:26:54+00:00",
"LastUpdatedBy": "MNT_QA",
"LastUpdateDate": "2023-04-04T15:26:54+00:00",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyEntitlements/100101576542833",
"name": "assetWarrantyEntitlements",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyEntitlements/100101576542833",
"name": "assetWarrantyEntitlements",
"kind": "item"
}
]
},
{
"EntitlementId": 100101576542835,
"EntitlementNumber": "100101576542835",
"EntitlementDate": "2023-04-04",
"EntitlementTypeCode": "ORA_RESOURCE_CHARGE",
"EntitlementType": "Resource charge",
"EntitlementDescription": "LaborRes-10 - ",
"ClaimId": 100101576542836,
"ClaimNumber": "100101576542836",
"ManuallyCreatedFlag": false,
"WarrantyEntitledFlag": true,
"ContractId": 300100578221096,
"ContractNumber": "300100578221096",
"WarrantyProviderId": "999992000322154",
"WarrantyProviderNumber": "7189",
"WarrantyProviderName": "General Technologies",
"OrganizationId": 300100113363336,
"OrganizationCode": "MNTALM",
"WorkOrderId": 300100582281522,
"WorkOrderNumber": "MNTALM1110",
"AssetId": 300100570947822,
"AssetNumber": "ALM_ASSET_001",
"AssetDescription": "ALM-MX-ITEM-001-DESC",
"AssetSerialNumber": null,
"RootAssetId": 300100570947822,
"WoOperationId": 300100582281530,
"OperationSequenceNumber": 30,
"OperationName": "Replace Power Supply Unit",
"WoOperationResourceId": 300100582281531,
"WoOperationReference": "MNTALM1110-30",
"WoOperationMaterialId": null,
"CostTransactionId": 100101576542834,
"ReasonForRepairCode": "01",
"ReasonForRepairCodeName": "Breakdown",
"TransactionCode": "013-000-000",
"TransactionCodeName": "Brakes000",
"WorkAccomplishedCode": "W-CODE",
"WorkAccomplishedCodeName": "Work Done Na,e",
"CostTransactionTypeCode": "ORA_RESOURCE",
"CostTransactionType": "Resource",
"CostTransactionQuantity": 1,
"CostTransactionUOMCode": "HR",
"CostTransactionUOM": "Hour",
"CostTransactionUnitCost": null,
"CostTransactionTotal": null,
"CostTransactionCurrencyCode": null,
"CostTransactionCurrency": null,
"ReimbursementQuantity": 1,
"ReimbursementQuantityUOMCode": "HR",
"ReimbursementQuantityUOM": "Hour",
"ReimbursementUnitCost": 0,
"ReimbursementTotalCost": 0,
"ReimbursementCurrencyCode": null,
"ReimbursementCurrency": null,
"EntitlementNotes": null,
"CreatedBy": "MNT_QA",
"CreationDate": "2023-04-04T15:26:54+00:00",
"LastUpdatedBy": "MNT_QA",
"LastUpdateDate": "2023-04-04T15:26:54+00:00",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyEntitlements/100101576542835",
"name": "assetWarrantyEntitlements",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyEntitlements/100101576542835",
"name": "assetWarrantyEntitlements",
"kind": "item"
}
]
},
"count": 2,
"hasMore": false,
"limit": 25,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/assetWarrantyEntitlements",
"name": "assetWarrantyEntitlements",
"kind": "collection"
}
]
}